<?php

namespace KupShop\BalikonosBundle\BalikobotAdapters\B2A;

use KupShop\ReclamationsBundle\Entity\ReclamationEntity;
use KupShop\ReturnsBundle\Entity\ReturnEntity;

interface IBalikobotB2AAdapter
{
    public function getDeliveryClassName(): string;

    public function getCarrierCode(): string;

    public function transformData(ReturnEntity|ReclamationEntity $entity, int $orderId, array $data): array;

    public function transformResponse(array $data): array;
}
